Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

Ziproxy PNG Image Processing Buffer Overflow Vulnerability

Information

Severity

Severity

Medium

Family

Family

Buffer overflow

CVSSv2 Base

CVSSv2 Base

6.8

CVSSv2 Vector

CVSSv2 Vector

AV:N/AC:M/Au:N/C:P/I:P/A:P

Solution Type

Solution Type

Vendor Patch

Created

Created

12 years ago

Modified

Modified

3 years ago

Summary

The host is running Ziproxy server and is prone to buffer overflow vulnerability.

Insight

Insight

The flaw is caused by a heap overflow error in the PNG decoder when processing malformed data, which could be exploited by attackers to crash an affected server or execute arbitrary code via a specially crafted PNG image.

Affected Software

Affected Software

Ziproxy version 3.1.0

Solution

Solution

Upgrade to the latest version of Ziproxy 3.1.1 or later.

Common Vulnerabilities and Exposures (CVE)